<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Alttantire\HepsiPaySDK\HepsiPayGateway;

include "../sdk/HepsiPayGateway.php";

$endpoint = "https://merchantpfpayment-gateway-qa.hepsipay.com";
$merchantNo = "10019";
$terminalNo = "1019";
$storeKey = "hza6J/bF7c4adBNWbr9gVmxwsqgXYd3VwatyX6lT/kU=";

$HepsiPayGateway = new HepsiPayGateway($endpoint, $merchantNo, $terminalNo, $storeKey);

$HepsiPayGateway->set_amount(1000);
$HepsiPayGateway->set_account_key("905998868296"); // 905358688133
$HepsiPayGateway->set_merchant_callback_url("http://hepsipaysdk.entegrasyon.alttantire.local/examples/payment_result.php");
$HepsiPayGateway->set_merchant_order_number("1234-56797");
$HepsiPayGateway->set_is_guest_user(false);
$HepsiPayGateway->set_force_3ds(false);
$HepsiPayGateway->set_allowed_installments([1, 2, 3]);
$HepsiPayGateway->set_bank_order_id("ABC-123-4567");
$HepsiPayGateway->set_external_id("EXT-ID-123-4567");
$HepsiPayGateway->set_pos_alias("");
$HepsiPayGateway->set_frame_type(1);
$HepsiPayGateway->set_basket_item([
    "Product" => "Çikolata",
    "Price" => 500,
    "SubMerchantMemberId" => null,
    "SubMerchantMemberPrice" => null,
    "CategoryId" => "3",
    "ExternalId" => "10"
]);

$HepsiPayGateway->set_basket_item([
    "Product" => "Çikolata",
    "Price" => 500,
    "SubMerchantMemberId" => null,
    "SubMerchantMemberPrice" => null,
    "CategoryId" => "3",
    "ExternalId" => "10"
]);


try {

    // Check Availability
    $frame_check_availability_response = $HepsiPayGateway->check_availability();

    if ($frame_check_availability_response->Success === true) {

        // Frame Init

        $frame_init_response = $HepsiPayGateway->frame_init();

        if ($frame_init_response) {

            if ($frame_init_response->Success === true) {

                $token = $frame_init_response->Token;

                $frame_url = $frame_init_response->FrameUrl;


            } else {

                echo $frame_init_response->Message;

            }
        }

    }

} catch (\Alttantire\HepsiPaySDK\HepsiPaySDKException $e) {
    echo $e->getMessage();
}
?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HepsiPay SDK</title>
    <style>
        html, body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        .iframe-container {
            width: 100%;
            height: 100%;
            position: relative;
        }

        .service-info-box {
            width: 100%;
            max-height: 300px;
            overflow: auto;
            padding: 20px;
            background-color: #9eccec;
        }

        iframe {
            width: 100%;
            height: 80%;
            border: none;
            position: inherit;
            top: 0;
            left: 0;
        }
    </style>
</head>
<body>
<div class="iframe-container">


    <div class="service-info-box">
        <?php if (isset($frame_init_response)) { ?>
            <pre><?php print_r($frame_init_response, ); ?></pre>
        <?php } ?>
    </div>


    <?php if (isset($frame_url)) { ?>
        <iframe src="<?php echo $frame_url; ?> "></iframe>
    <?php } ?>
</div>
</body>
</html>